Bug 717110 - Use /etc/login.defs to define a 'system' account instead of hard-coding 500 (PackageKit)
Summary: Use /etc/login.defs to define a 'system' account instead of hard-coding 500 (...
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: PackageKit   
(Show other bugs)
Version: 19
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Richard Hughes
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 1kAccounts
TreeView+ depends on / blocked
 
Reported: 2011-06-28 04:02 UTC by Miloslav Trmač
Modified: 2013-04-29 18:00 UTC (History)
6 users (show)

Fixed In Version: PackageKit-0.6.17-2.fc16
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-04-29 18:00:42 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Code to parse /etc/login.defs (1.29 KB, text/plain)
2011-06-28 04:03 UTC, Miloslav Trmač
no flags Details

Description Miloslav Trmač 2011-06-28 04:02:11 UTC
Description of problem:
src/pk-transaction-extra.c:pk_transaction_extra_check_library_restart categorizes UIDs as system/session using a hard-coded value 500.  Please use UID_MIN from /etc/login.defs for this; we plan to change the boundary.

Please let me know if you want me to prepare a patch.

Version-Release number of selected component (if applicable):
PackageKit-0.6.15-2.fc16

Comment 1 Miloslav Trmač 2011-06-28 04:03:55 UTC
Created attachment 510191 [details]
Code to parse /etc/login.defs

This demonstrates the proper way to parse /etc/login.defs .

Comment 2 Richard Hughes 2011-06-28 13:53:17 UTC
commit 8cb69128cd85d630cbac45fc9d593e22420ce3ba
Author: Richard Hughes <richard@hughsie.com>
Date:   Tue Jun 28 14:52:16 2011 +0100

    Do not hardcode the UID_MIN as 500. Fixes rh#717110

There's a new upstream release in 6 days, so I'll include this fix in F15 and rawhide then. Thanks for pointing out the problem.

Richard.

Comment 3 Miloslav Trmač 2011-07-20 16:25:12 UTC
Thanks a lot; could you make sure commit 5456681c29753439766700f5dc431a4a1cf72a2e will get into Fedora 16 as well, please?

Comment 4 Kostas Georgiou 2011-07-21 10:36:40 UTC
system accounts are the ones below SYS_UID_MAX not below UID_MIN. UID_MIN is only the minimum that useradd uses, external user accounts (ldap) can still be below UID_MIN.

Comment 5 Miloslav Trmač 2011-07-21 11:06:56 UTC
(In reply to comment #4)
> system accounts are the ones below SYS_UID_MAX not below UID_MIN. UID_MIN is
> only the minimum that useradd uses, external user accounts (ldap) can still be
> below UID_MIN.

Similarly, external system accounts can be outside of the SYS_* range.  PackageKit considers each account to be either a system or user account, there is no "uknown" category.

Comment 6 Miloslav Trmač 2011-08-09 15:39:08 UTC
(In reply to comment #3)
> Thanks a lot; could you make sure commit
> 5456681c29753439766700f5dc431a4a1cf72a2e will get into Fedora 16 as well,
> please?
Commit is included in rawhide PackageKit-0.6.17-2, so rawhide should be fine.  Thanks!

Comment 7 Fedora End Of Life 2013-04-03 19:42:49 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19


Note You need to log in before you can comment on or make changes to this bug.